- Qt 5.15
- Qt Quick 3D
- QML Types
- RenderState QML Type
- Qt Quick 3D | Commercial or GPLv3

# RenderState QML Type

Defines the render state to be disabled in a pass of a CustomMaterial or an Effect. More...

Import Statement: | import QtQuick3D 1.15
Inherits: | Command

- List of all members, including inherited members

## Properties

- enable : bool
- renderState : enumeration

## Detailed Description

## Property Documentation

enable : bool

Specifies if the state is enabled or disabled.

renderState : enumeration

Specifies the render state to enable/disable in a pass.

Constant | Value
--- | ---
`RenderState.Unknown`
`RenderState.Blend`
`RenderState.CullFace`
`RenderState.DepthTest`
`RenderState.StencilTest`
`RenderState.ScissorTest`
`RenderState.DepthWrite`
`RenderState.Multisample`